#ProofOfWork {
    height: 600px;
    position: relative;
}

.jsavcanvas {
    height: 400px;
}

.jsavoutput.jsavline {
  height: 90px;
}

.jsavlistnode {
  height: 30px;
  max-width: 40px !important;
  width: 40px;
  max-height: 40px !important;
  font-size: 10px !important;
  line-height: 10px !important;
}

.largeSizedNode {
  border-radius: 100px;
  min-width: 75px;
  min-height: px;
}

.mediumSizedNode {
  border-radius: 100px;
  min-width: 50px;
  min-height: 50px;
}

.smallSizedNode {
  border-radius: 100px;
  min-width: 25px;
  min-height: 25px;
}

.topLeftSpot {
  margin-top: -10px;
  margin-left: -80px;
}

.topRightSpot {
  margin-top: -10px;
  margin-left: 80px;
}

.proposalSpot {
  margin-top: 80px;
}

.deadCenterBlock {
  margin-left: 25px;
  margin-top: -10px;
}

  .thinredline {
    stroke: red;
  }
  
  .rededge { /* Make a tree edge to be red */
    stroke: red;
    stroke-width: 3;
  }
  
  .rednode { /* Make a node red */
    background-color: red;
    color: white;
    border-color: red;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }
  
  .greenedge { /* Make a tree edge to be green */
    stroke: green;
    stroke-width: 3;
  }

  .graynode { /* Make a node gray */
    background-color: gray;
    color: white;
    border-color: gray;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }
  
  .greennode { /* Make a node green */
    background-color: green;
    color: white;
    border-color: green;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .mining {
    width: 50px;
    height: 50px;
  }

  .backward {
    z-index: 0;
  }

  .forward {
    z-index: 1;
  }

  .greenBlock {
    background-color: green;
    border-color: green;
    color: white;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .redBlock {
    background-color: red;
    border-color: red;
    color: white;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .bluenode { /* Make a node green */
    background-color: blue;
    color: white;
    border-color: blue;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .blueedge { /* Make a tree edge to be green */
    stroke: blue;
    stroke-width: 3;
  }

  .blueBlock {
    background-color: blue;
    border-color: blue;
    color: white;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .orangenode { /* Make a node green */
    background-color: orange;
    color: white;
    border-color: orange;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .yellownode { /* Make a node yellow */
    background-color: yellow;
    color: black;
    border-color: yellow;
    box-shadow: 2px 2px 2px rgba(255, 255, 0, 0.5);
  }

  .purplenode { /* Make a node purple */
    background-color: purple;
    color: white;
    border-color: purple;
    box-shadow: 2px 2px 2px rgba(128, 0, 128, 0.5);
  }

  .brownnode { /* Make a node brown */
    background-color: rgba(121, 91, 37, 0.61);
    color: white;
    border-color: rgba(121, 91, 37, 0.61);
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

  .rednode { /* Make a node red */
    background-color: red;
    color: white;
    border-color: red;
    box-shadow: 2px 2px 2px red;
  }

  .orangeedge { /* Make a tree edge to be green */
    stroke: orange;
    stroke-width: 3;
  }

  .yellowedge { /* Make a tree edge to be yellow */
    stroke: yellow;
    stroke-width: 3;
  }

  .purpleedge { /* Make a tree edge to be purple */
    stroke: purple;
    stroke-width: 3;
  }

  .orangeBlock {
    background-color: orange;
    border-color: orange;
    color: white;
    box-shadow: 2px 2px 2px rgba(120, 120, 120, 0.5);
  }

